<?php

class E2W_Plugins_GetFiveStars_Widget_Install {

	protected $table;

	function __construct( $table ) {
		$this->table = $table;
		register_activation_hook( E2W_PLUGINS_GETFIVESTARS_WIDGET_FILE, array( $this, 'install' ) );
	}

	function install() {
		global $wpdb;

		$wpdb->query( "
CREATE TABLE IF NOT EXISTS `{$wpdb->prefix}{$this->table}` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `hash` TEXT NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;"
		);

		$wpdb->query(
		    "ALTER TABLE `{$wpdb->prefix}{$this->table}` CHANGE `hash` `hash` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;"
		);
	}

}
