<?php

class E2W_Plugins_GetFiveStars_Widget_Loader {

	protected $table = 'e2w_get5_widget';
	protected $path;

	function __construct() {
		$this->path = E2W_PLUGINS_GETFIVESTARS_WIDGET_PATH;
		$this->load_libs();
		$this->create_class_instances();
	}

	protected function load_libs() {
		require_once $this->path . '/php/class-e2w-plugins-getfivestars-widget-install.php';
		require_once $this->path . '/php/class-e2w-plugins-getfivestars-widget-admin.php';
		require_once $this->path . '/php/class-e2w-plugins-getfivestars-widget.php';
		require_once $this->path . '/php/class-e2w-smallbizdynamic-plugin-updates.php';
		if ( ! class_exists( 'E2W_Plugins_List_Table' ) ) {
			require_once $this->path . '/php/class-e2w-plugins-list-table.php';
		}
		require_once $this->path . '/php/class-e2w-plugins-getfivestars-widget-shortcode-table.php';
	}

	protected function create_class_instances() {
		new E2W_Plugins_GetFiveStars_Widget_Install( $this->table );
		new E2W_Plugins_GetFiveStars_Widget_Admin( $this->table );
		new E2W_Plugins_GetFiveStars_Widget( $this->table );
		new E2W_Smallbizdynamic_Plugin_Updates_Gfs( E2W_PLUGINS_GETFIVESTARS_WIDGET_PATH, E2W_PLUGINS_GETFIVESTARS_WIDGET_FILE );
	}

}
